%if 0%{?rhel} && 0%{?rhel} <= 6
%global python python27
%global tk27 tkinter27
%else
%global python python
%global tk27 tkinter
%endif

%global pypi_name versiontools
%global __sum Smart replacement for plain tuple used in __version__
%global __desc Smart replacement for plain tuple used in __version__

Name:           %{python}-%{pypi_name}
Version:        1.9.1
Release:        1%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://pypi.io/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

Provides:       %{python}-%{pypi_name} = %{version}-%{release}

BuildRequires:  %{python}-devel
BuildRequires:  %{python}-setuptools
BuildRequires:  python36-devel
BuildRequires:  python36-setuptools

%description
%{__desc}

This is the Python 2 build of the module.


%package -n python36-%{pypi_name}
Summary:        %{__sum}
Group:          Development/Languages
Provides:       python36-%{pypi_name} = %{version}-%{release}

%description -n python36-%{pypi_name}
%{__desc}

This is the Python 3 build of the module.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%py36_build
%py27_build


%install
%py36_install
%py27_install


%files
%doc doc/*
%{python27_sitelib}/*


%files -n python36-%{pypi_name}
%doc doc/*
%{python36_sitelib}/*


%changelog

